Skip to main content
Resource Center/Hardware/Backup Storage Operations/ImageStore Backup Storage Operations
POSTImageStore Backup Storage OperationsSince SynchronousAuth Required

AddImageStoreBackupStorage

AddImageStoreBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • hostnameStringRequired

      The hostname of the ImageStore backup storage.

    • usernameStringRequired

      The SSH username of the backup storage. This parameter is used to deploy Ansible.

    • passwordStringRequired

      The SSH password of the ImageStore backup storage.

    • sshPortint

      Optional. The SSH port of the ImageStore backup storage.

    • urlStringRequired

      The path for storing local data in the ImageStore backup storage.

    • nameStringRequired

      The name of the ImageStore backup storage.

    • descriptionString

      Optional. The description of the ImageStore backup storage.

    • typeString

      Optional. The backup storage type: ImageStoreBackupStorage.

    • importImagesboolean

      Optional. Whether to import images.

    • resourceUuidString

      Optional. The resource UUID. If specified, the ImageStore backup storage will use this field as the UUID.

    • systemTagsList

      Optional. The system tags.

    • userTagsList

      Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/backup-storage/image-store

/zstack/v1/backup-storage/image-store

Operation ID

AddImageStoreBackupStorage

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/backup-storage/image-store' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"hostname":"<hostname>","username":"<username>","password":"<password>","sshPort":1,"url":"<url>","name":"<name>","description":"<description>","type":"<type>","importImages":true,"resourceUuid":"<resourceUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history